package com.fs.store.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.store.mapper.FsStoreAfterSalesItemMapper;
import com.fs.store.domain.FsStoreAfterSalesItem;
import com.fs.store.service.IFsStoreAfterSalesItemService;

/**
 * 售后子Service业务层处理
 * 
 * @author fs
 * @date 2022-03-15
 */
@Service
public class FsStoreAfterSalesItemServiceImpl implements IFsStoreAfterSalesItemService 
{
    @Autowired
    private FsStoreAfterSalesItemMapper fsStoreAfterSalesItemMapper;

    /**
     * 查询售后子
     * 
     * @param id 售后子ID
     * @return 售后子
     */
    @Override
    public FsStoreAfterSalesItem selectFsStoreAfterSalesItemById(Long id)
    {
        return fsStoreAfterSalesItemMapper.selectFsStoreAfterSalesItemById(id);
    }

    /**
     * 查询售后子列表
     * 
     * @param fsStoreAfterSalesItem 售后子
     * @return 售后子
     */
    @Override
    public List<FsStoreAfterSalesItem> selectFsStoreAfterSalesItemList(FsStoreAfterSalesItem fsStoreAfterSalesItem)
    {
        return fsStoreAfterSalesItemMapper.selectFsStoreAfterSalesItemList(fsStoreAfterSalesItem);
    }

    /**
     * 新增售后子
     * 
     * @param fsStoreAfterSalesItem 售后子
     * @return 结果
     */
    @Override
    public int insertFsStoreAfterSalesItem(FsStoreAfterSalesItem fsStoreAfterSalesItem)
    {
        return fsStoreAfterSalesItemMapper.insertFsStoreAfterSalesItem(fsStoreAfterSalesItem);
    }

    /**
     * 修改售后子
     * 
     * @param fsStoreAfterSalesItem 售后子
     * @return 结果
     */
    @Override
    public int updateFsStoreAfterSalesItem(FsStoreAfterSalesItem fsStoreAfterSalesItem)
    {
        return fsStoreAfterSalesItemMapper.updateFsStoreAfterSalesItem(fsStoreAfterSalesItem);
    }

    /**
     * 批量删除售后子
     * 
     * @param ids 需要删除的售后子ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreAfterSalesItemByIds(Long[] ids)
    {
        return fsStoreAfterSalesItemMapper.deleteFsStoreAfterSalesItemByIds(ids);
    }

    /**
     * 删除售后子信息
     * 
     * @param id 售后子ID
     * @return 结果
     */
    @Override
    public int deleteFsStoreAfterSalesItemById(Long id)
    {
        return fsStoreAfterSalesItemMapper.deleteFsStoreAfterSalesItemById(id);
    }
}
